Subject: Re: bug#24948: Illegible GRUB menu

From: Leo Famulari <[email-masked]>
Date: Sat, 26 Nov 2016 20:20:33 -0500

On Mon, Nov 21, 2016 at 01:54:02AM -0500, Mark H Weaver wrote:
> A few months ago we updated our grub from 2.00 to 2.02beta3, in commit
> 4c7260011e219eb3ebf5da976ab107dbd5997829, dated June 16.  Was that
> roughly when this problem began?
> 
> If so, I suggest reverting that commit in your local tree, to see if
> downgrading to grub 2.00 fixes the problem.

I reverted the following commits ...

4c7260011e21 (gnu: grub: Update to 2.02~beta3.)
358db0041f09 (gnu: grub: Make dependency on mdadm explicit.)

... on top of 1cd1d8a7ea43 (offload: Call 'machine-load' only once per
machine.)

I had to revert the second commit since it depended on changes in the
first.

I reconfigured and rebooted, but this didn't fix the problem for me.